package cn.org.bjca.trust.push.db.device

import androidx.room.*

@Dao
interface DeviceDao {
    @Query("SELECT * FROM device")
    fun getAll(): List<Device>

    @Insert
    fun insertAll(vararg devices: Device)

    @Update
    fun update(device: Device)

    @Delete
    fun delete(device: Device)
}
